import { useI18n } from '../../../i18n';
import { FcrIconType } from '../../icon/type';
import { FcrToolTip } from '../../tooltip';
import { ActionBarItem } from '../item';
import { jsx as _jsx } from "react/jsx-runtime";
export var Respond = function Respond(_ref) {
  var id = _ref.id,
    order = _ref.order;
  var transI18n = useI18n();
  var title = 'Respond';
  var tooltip = 'Respond';
  return /*#__PURE__*/_jsx(FcrToolTip, {
    content: tooltip,
    children: /*#__PURE__*/_jsx(ActionBarItem, {
      id: id,
      order: order,
      icon: FcrIconType.FCR_EMO,
      title: title,
      onClick: function onClick() {},
      iconColors: {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
      }
    })
  });
};